UPP Docs
Card

List a customer's cardholders

GET
/cardholders

Authorization

merchantApiKeymerchantTimestampmerchantNoncemerchantSignature
headerX-API-KEY<token>

Merchant API key (starts with upk_, also accepts api-key); signing headers are also required

headerX-Timestamp<token>

Unix timestamp in seconds, within 300 seconds of server time

headerX-Nonce<token>

Unique per request; cannot be reused with the same credential during the timestamp validity window

headerX-Signature<token>

Hex HMAC-SHA256 signature (either letter case) of the method, full path, timestamp, nonce and body digest

Query Parameters

customer_id*string

Response Body

Cardholders, newest first

application/json
  1. response
data*array<>
Example Request
curl -X GET 'https://sandbox.getupp.net/api/v1/cardholders?customer_id=string'
Example Response
{  "data": [    {      "id": "string",      "customer_id": "string",      "card_product_id": "string",      "first_name": "string",      "last_name": "string",      "status": "pending",      "failure_reason": "string",      "created_at": "2019-08-24T14:15:22Z",      "updated_at": "2019-08-24T14:15:22Z"    }  ]}